Instance tag not taken care of when bury in cell0

Bug #1806515 reported by Zhenyu Zheng on 2018-12-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Zhenyu Zheng
Pike
Medium
Matt Riedemann
Queens
Medium
Matt Riedemann
Rocky
Medium
Matt Riedemann

Bug Description

We allowed add instance tags when booting in
Iac54b9627cb4398e45f1f15a2f4e7d6f86242093, conductor
will create tags for us in the selected cell, but
we forgot to consider the case that no valid host
was found.

So we will be unable to filter those instances in
cell0 with tags.

Fix proposed to branch: master
Review: https://review.openstack.org/621856

Changed in nova:
assignee: nobody → Zhenyu Zheng (zhengzhenyu)
status: New → In Progress
Matt Riedemann (mriedem) on 2018-12-04
Changed in nova:
importance: Undecided → Medium
tags: added: api cells
Changed in nova:
assignee: Zhenyu Zheng (zhengzhenyu) → Matt Riedemann (mriedem)
Matt Riedemann (mriedem) on 2018-12-11
Changed in nova:
assignee: Matt Riedemann (mriedem) → Zhenyu Zheng (zhengzhenyu)
Changed in nova:
assignee: Zhenyu Zheng (zhengzhenyu) → Matt Riedemann (mriedem)

Reviewed: https://review.openstack.org/621856
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=3cd439ad8a99f122566f0b5d0264ff5c8d34f998
Submitter: Zuul
Branch: master

commit 3cd439ad8a99f122566f0b5d0264ff5c8d34f998
Author: Kevin_Zheng <email address hidden>
Date: Tue Dec 4 10:25:52 2018 +0800

    Handle tags in _bury_in_cell0

    We allowed add instance tags when booting in
    Iac54b9627cb4398e45f1f15a2f4e7d6f86242093, conductor
    will create tags for us in the selected cell, but
    we forgot to consider the case that no valid host
    was found.

    So we will be unable to filter those instances in
    cell0 with tags.

    Change-Id: Idfe37d356b349024dfe963c934728111e1a1d314
    closes-bug: #1806515

Changed in nova:
status: In Progress → Fix Released
Matt Riedemann (mriedem) on 2018-12-12
Changed in nova:
assignee: Matt Riedemann (mriedem) → Zhenyu Zheng (zhengzhenyu)

Reviewed: https://review.openstack.org/624813
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=cbb9eb5b056b96ea507d65fea0e32c27bbf6cdfa
Submitter: Zuul
Branch: stable/rocky

commit cbb9eb5b056b96ea507d65fea0e32c27bbf6cdfa
Author: Kevin_Zheng <email address hidden>
Date: Tue Dec 4 10:25:52 2018 +0800

    Handle tags in _bury_in_cell0

    We allowed add instance tags when booting in
    Iac54b9627cb4398e45f1f15a2f4e7d6f86242093, conductor
    will create tags for us in the selected cell, but
    we forgot to consider the case that no valid host
    was found.

    So we will be unable to filter those instances in
    cell0 with tags.

    NOTE(mriedem): The backport needed to remove the mock
    of notify_about_compute_task_error since that method
    was added in Stein: Ibfb0a6db5920d921c4fc7cabf3f4d2838ea7f421

    Change-Id: Idfe37d356b349024dfe963c934728111e1a1d314
    closes-bug: #1806515
    (cherry picked from commit 3cd439ad8a99f122566f0b5d0264ff5c8d34f998)

This issue was fixed in the openstack/nova 18.1.0 release.

Reviewed: https://review.openstack.org/624824
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=fa178ed4e5ab925d39f7176d851d3c735e328189
Submitter: Zuul
Branch: stable/queens

commit fa178ed4e5ab925d39f7176d851d3c735e328189
Author: Kevin_Zheng <email address hidden>
Date: Tue Dec 4 10:25:52 2018 +0800

    Handle tags in _bury_in_cell0

    We allowed add instance tags when booting in
    Iac54b9627cb4398e45f1f15a2f4e7d6f86242093, conductor
    will create tags for us in the selected cell, but
    we forgot to consider the case that no valid host
    was found.

    So we will be unable to filter those instances in
    cell0 with tags.

    Change-Id: Idfe37d356b349024dfe963c934728111e1a1d314
    closes-bug: #1806515
    (cherry picked from commit 3cd439ad8a99f122566f0b5d0264ff5c8d34f998)
    (cherry picked from commit cbb9eb5b056b96ea507d65fea0e32c27bbf6cdfa)

This issue was fixed in the openstack/nova 19.0.0.0rc1 release candidate.

This issue was fixed in the openstack/nova 17.0.10 release.

Reviewed: https://review.openstack.org/624825
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=02c6e1364f3cd4fb1cd6d6e7f03a55681a1e364c
Submitter: Zuul
Branch: stable/pike

commit 02c6e1364f3cd4fb1cd6d6e7f03a55681a1e364c
Author: Kevin_Zheng <email address hidden>
Date: Tue Dec 4 10:25:52 2018 +0800

    Handle tags in _bury_in_cell0

    We allowed add instance tags when booting in
    Iac54b9627cb4398e45f1f15a2f4e7d6f86242093, conductor
    will create tags for us in the selected cell, but
    we forgot to consider the case that no valid host
    was found.

    So we will be unable to filter those instances in
    cell0 with tags.

    Conflicts:
          nova/conductor/manager.py

    NOTE(mriedem): The conflict is due to not having change
    I70b11dd489d222be3d70733355bfe7966df556aa in Pike.

    Change-Id: Idfe37d356b349024dfe963c934728111e1a1d314
    closes-bug: #1806515
    (cherry picked from commit 3cd439ad8a99f122566f0b5d0264ff5c8d34f998)
    (cherry picked from commit cbb9eb5b056b96ea507d65fea0e32c27bbf6cdfa)
    (cherry picked from commit fa178ed4e5ab925d39f7176d851d3c735e328189)

This issue was fixed in the openstack/nova 16.1.8 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers